DragonFly BSD
DragonFly users List (threaded) for 2011-03
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: OpenOffice

From: Chris Turner <c.turner@xxxxxxxxxxxxxxxxxxx>
Date: Tue, 08 Mar 2011 22:27:54 -0600

On 03/08/11 21:26, Pierre Abbat wrote:
ERROR: This package has set PKG_FAIL_REASON:
ERROR: openoffice3-3.1.1nb9 is not available for DragonFly-2.9-i386

This comes from the Makefile -

ONLY_FOR_PLATFORM=	FreeBSD-*-i386 FreeBSD-*-x86_64
ONLY_FOR_PLATFORM+=	NetBSD-1.6Z[G-Z]*-i386 NetBSD-[2-9]*-i386
ONLY_FOR_PLATFORM+=	NetBSD-1.6Z[G-Z]*-x86_64 NetBSD-[2-9]*-x86_64

you should be able to hack in the appropriate string to have it try
to build on DF (there are some example DF strings peppered around the tree - grep -l 'ONLY_FOR_PLATFORM.*Dragon' /usr/pkgsrc/*/*/Makefile should show some files containing them)

no idea if it will build or not - my guess is 'not' as the package
is pretty complex and iirc requires JDK to build -

last time I used OO (+1 df/pkgsrc version ago) I was using the linux emulation version in openoffice3/bin -

however, as I understand it (please chime with confirmation anyone), we can build openjdk these days, so maybe it will work / should be revisited..

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]